Subject: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)

From: Protesilaos Stavrou <[email-masked]>
Date: Thu, 04 Mar 2021 06:53:06 +0200

On 2021-03-04, 02:04 +0000, "Basil L. Contovounesios" <[email-masked]> wrote:

> Protesilaos Stavrou <[email-masked]> writes:
>
>> I applied it and it works for what I want to do.  The decoupling feels
>> more appropriate.
>
> Thanks for reviewing it.

You are welcome!

>> The major difference I see between evaluating 'require-theme' and
>> 'require' forms is that the latter errors with a backtrace buffer, while
>> the former logs a message.
>>
>> Compare those:
>>
>>     (require 'give-me-error)
>>     (require-theme 'give-me-error)
>
> Hm, how are you evaluating them?  Here's what I tried:
>
> [...]
>
> The patch implements require-theme in terms of require,
> so even the error symbol and data should be identical.

My bad!  I was trying the patch in emacs -Q and then went to my
unpatched Emacs' scratch buffer...

>> At any rate, tomorrow I will share with you the new version of my themes
>> and their manual.
>
> I look forward to it.

Will finalise the changelog entry and update this thread.  Probably
within 8 hours or so.

-- 
Protesilaos Stavrou
protesilaos.com